org.apache.catalina.session

## Class Constants

- java.lang.Object
- - org.apache.catalina.session.Constants

-     public class Constants
      extends Object

  Manifest constants for the `org.apache.catalina.session` package.
  Author:
    Craig R. McClanahan

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Set<String>` | `excludedAttributeNames` Set of session attribute names used internally by Tomcat that should always be removed from the session before it is persisted, replicated or equivalent.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### excludedAttributeNames

          public static final Set<String> excludedAttributeNames

      Set of session attribute names used internally by Tomcat that should always be removed from the session before it is persisted, replicated or equivalent.

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.